Loading...
Searching...
No Matches
Halide::Range Struct Reference

A single-dimensional span. More...

`#include <Expr.h>`

## Public Member Functions

| Range ()=default
| Range (const Expr &min_in, const Expr &extent_in)

## Public Attributes

Expr | min
Expr | extent

## Detailed Description

A single-dimensional span.

Includes all numbers between min and (min + extent - 1).

Definition at line 342 of file Expr.h.

## Constructor & Destructor Documentation

## Range() [1/2]

Halide::Range::Range | ( |  | ) |

default

## Range() [2/2]

Halide::Range::Range | ( | const Expr & | min_in,
|  | const Expr & | extent_in )

## Member Data Documentation

## min

Expr Halide::Range::min

Definition at line 343 of file Expr.h.

## extent

Expr Halide::Range::extent

Definition at line 343 of file Expr.h.

The documentation for this struct was generated from the following file:

- src/Expr.h